#ifndef HOSPITALINFO_H
#define HOSPITALINFO_H
/*
    des: Hospital Info 医院信息
    date: 20241028
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
class HospitalInfo:public QWidget
{
    Q_OBJECT
public:
    explicit HospitalInfo(QWidget * parent = NULL);
    virtual  ~HospitalInfo();
    void  init();
    void  initLay();
    bool  initConnect();
private slots:
     void slotSave();
     void slotCancel();
public slots:
     void slotUpdateShow();
private:
    //医院信息
    QLabel m_labHospitalInfo;

    QLabel m_labStart1;
    QLabel m_labStart2;
    //医院名称
    QLabel m_labHospitalName;
    QLineEdit m_editHospitalName;
    //科室
    QLabel m_labSection;
    QLineEdit m_editSection;
    //用户人数
    QLabel  m_labUserNum;
    QLineEdit m_editUserNum;

    //数据名称
    QLabel m_labDataBaseName;
    QLineEdit m_editDataBaseName;

    //用户名称
    QLabel m_labUser;
    QLineEdit m_editUser;
    //用户密码
    QLabel m_labpasswd;
    QLineEdit m_editPasswd;
    //确认密码
    QLabel m_labRepasswd;
    QLineEdit m_editRePasswd;
    //确认
    QPushButton m_btnOK;
    QPushButton m_btnCancel;
};
#endif // HOSPITALINFO_H
